import time
import action as action
# 安装selenium库
from selenium import webdriver
from selenium.webdriver.common.by import By


class Login:
    # 把驱动对象存到成员变量中，方便调用
    def __init__(self):
        self.driver = webdriver.Edge()
        # 打开网页
        self.driver.get('https://adviser.raysgo.com/login')
        self.driver.maximize_window()

    # 账号输入框的元素对象
    def find_user_name(self):
        ele = self.driver.find_element(By.XPATH,
                                       '/html/body/div/div/div[1]/div/section/div/div[2]/form/div/div[1]/div/div/input')
        return ele

    # 密码输入框的元素对象
    def find_password(self):
        ele = self.driver.find_element(By.XPATH,
                                       '/html/body/div/div/div[1]/div/section/div/div[2]/form/div/div[2]/div/div/input')
        return ele

    # 登录按钮的元素对象
    def find_button(self):
        ele = self.driver.find_element(By.XPATH, '/html/body/div/div/div[1]/div/section/div/div[2]/form/div/div[4]')
        return ele

    # 创建现代纸书按钮
    def find_create(self):
        ele = self.driver.find_element(By.XPATH,
                                       '/html/body/div[1]/div/div[1]/div[2]/main/div/div/div[1]/div/div/div[2]/div[3]/div/div[1]/button')
        return ele

    # 选择书刊分类
    def find_book(self):
        ele = self.driver.find_element(By.XPATH,
                                       '/html/body/div[1]/div/div[1]/div[2]/main/div/div/div[1]/div/div/div/section/div/div/section/div/div/div[2]/div/span/i')
        return ele

    # 标签1
    def find_label1(self):
        ele = self.driver.find_element(By.XPATH,
                                       '/html/body/div[1]/div/div[1]/div[2]/main/div/div/div[1]/div/div/div/section/div/div/section/div/div/div[2]/div/div/div/div/div/ul[1]/li[1]')
        return ele

    # 标签2
    def find_label2(self):
        ele = self.driver.find_element(By.XPATH,
                                       '/html/body/div[1]/div/div[1]/div[2]/main/div/div/div[1]/div/div/div/section/div/div/section/div/div/div[2]/div/div/div/div/div/ul[2]/li[10]')
        return ele

    # 标签3
    def find_label3(self):
        ele = self.driver.find_element(By.XPATH,
                                       '/html/body/div[1]/div/div[1]/div[2]/main/div/div/div[1]/div/div/div/section/div/div/section/div/div/div[2]/div/div/div/div/div/ul[3]/li[1]')
        return ele

    # 关闭浏览器
    def quit(self):
        self.driver.quit()


login = Login()
time.sleep(3)
login.find_user_name().send_keys("三味书屋")
time.sleep(3)
login.find_password().send_keys("Rmb123456")
time.sleep(3)
login.find_button().click()
time.sleep(4)
login.find_create().click()
time.sleep(3)
login.find_book().click()
time.sleep(3)
login.find_label1().click()
time.sleep(3)
login.find_label2().click()
time.sleep(3)
login.find_label3().click()
time.sleep(3)
login.quit()
